/* Copyright Manx Software Systems, Inc. 1989.  All rights reserved */

#ifndef __PRAGMAS_H 
#define __PRAGMAS_H 

#include <functions.h>
/************** Console *********************/

#pragma amicall(ConsoleDevice, 0x2a, CDInputHandler(a0,a1))
#pragma amicall(ConsoleDevice, 0x30, RawKeyConvert(a0,a1,d1,a2))

/************** DiskFont ********************/

#pragma amicall(DiskfontBase, 0x1e, OpenDiskFont(a0))
#pragma amicall(DiskfontBase, 0x24, AvailFonts(a0,d0,d1))
#if 0
#pragma amicall(DiskfontBase, 0x2a, NewFontContents(a0,a1))
#pragma amicall(DiskfontBase, 0x30, DisposeFontContents(a1))
#endif

/************** DOS *************************/

#pragma amicall(DOSBase, 0x1e, Open(d1,d2))
#pragma amicall(DOSBase, 0x24, Close(d1))
#pragma amicall(DOSBase, 0x2a, Read(d1,d2,d3))
#pragma amicall(DOSBase, 0x30, Write(d1,d2,d3))
#pragma amicall(DOSBase, 0x36, Input())
#pragma amicall(DOSBase, 0x3c, Output())
#pragma amicall(DOSBase, 0x42, Seek(d1,d2,d3))
#pragma amicall(DOSBase, 0x48, DeleteFile(d1))
#pragma amicall(DOSBase, 0x4e, Rename(d1,d2))
#pragma amicall(DOSBase, 0x54, Lock(d1,d2))
#pragma amicall(DOSBase, 0x5a, UnLock(d1))
#pragma amicall(DOSBase, 0x60, DupLock(d1))
#pragma amicall(DOSBase, 0x66, Examine(d1,d2))
#pragma amicall(DOSBase, 0x6c, ExNext(d1,d2))
#pragma amicall(DOSBase, 0x72, Info(d1,d2))
#pragma amicall(DOSBase, 0x78, CreateDir(d1))
#pragma amicall(DOSBase, 0x7e, CurrentDir(d1))
#pragma amicall(DOSBase, 0x84, IoErr())
#pragma amicall(DOSBase, 0x8a, CreateProc(d1,d2,d3,d4))
#pragma amicall(DOSBase, 0x90, Exit(d1))
#pragma amicall(DOSBase, 0x96, LoadSeg(d1))
#pragma amicall(DOSBase, 0x9c, UnLoadSeg(d1))
#pragma amicall(DOSBase, 0xae, DeviceProc(d1))
#pragma amicall(DOSBase, 0xb4, SetComment(d1,d2))
#pragma amicall(DOSBase, 0xba, SetProtection(d1,d2))
#pragma amicall(DOSBase, 0xc0, DateStamp(d1))
#pragma amicall(DOSBase, 0xc6, Delay(d1))
#pragma amicall(DOSBase, 0xcc, WaitForChar(d1,d2))
#pragma amicall(DOSBase, 0xd2, ParentDir(d1))
#pragma amicall(DOSBase, 0xd8, IsInteractive(d1))
#pragma amicall(DOSBase, 0xde, Execute(d1,d2,d3))

/************** Exec ************************/

#pragma amicall(SysBase, 0x48, InitCode(d0,d1))
#pragma amicall(SysBase, 0x4e, InitStruct(a1,a2,d0))
#pragma amicall(SysBase, 0x54, MakeLibrary(a0,a1,a2,d0,d1))
#pragma amicall(SysBase, 0x5a, MakeFunctions(a0,a1,a2))
#pragma amicall(SysBase, 0x60, FindResident(a1))
#pragma amicall(SysBase, 0x66, InitResident(a1,d1))
#if 0 /* jd 4/5/91 SCR 9: can't use a5 for reg arg, must use glue routine */
#pragma amicall(SysBase, 0x6c, Alert(d7,a5))
#endif
#pragma amicall(SysBase, 0x72, Debug(d0))	/* jd 9/3/91 add arg in d0 */
#pragma amicall(SysBase, 0x78, Disable())
#pragma amicall(SysBase, 0x7e, Enable())
#pragma amicall(SysBase, 0x84, Forbid())
#pragma amicall(SysBase, 0x8a, Permit())
#pragma amicall(SysBase, 0x90, SetSR(d0,d1))
#pragma amicall(SysBase, 0x96, SuperState())
#pragma amicall(SysBase, 0x9c, UserState(d0))
#pragma amicall(SysBase, 0xa2, SetIntVector(d0,a1))
#pragma amicall(SysBase, 0xa8, AddIntServer(d0,a1))
#pragma amicall(SysBase, 0xae, RemIntServer(d0,a1))
#pragma amicall(SysBase, 0xb4, Cause(a1))
#pragma amicall(SysBase, 0xba, Allocate(a0,d0))
#pragma amicall(SysBase, 0xc0, Deallocate(a0,a1,d0))
#pragma amicall(SysBase, 0xc6, AllocMem(d0,d1))
#pragma amicall(SysBase, 0xcc, AllocAbs(d0,a1))
#pragma amicall(SysBase, 0xd2, FreeMem(a1,d0))
#pragma amicall(SysBase, 0xd8, AvailMem(d1))
#pragma amicall(SysBase, 0xde, AllocEntry(a0))
#pragma amicall(SysBase, 0xe4, FreeEntry(a0))
#pragma amicall(SysBase, 0xea, Insert(a0,a1,a2))
#pragma amicall(SysBase, 0xf0, AddHead(a0,a1))
#pragma amicall(SysBase, 0xf6, AddTail(a0,a1))
#pragma amicall(SysBase, 0xfc, Remove(a1))
#pragma amicall(SysBase, 0x102, RemHead(a0))
#pragma amicall(SysBase, 0x108, RemTail(a0))
#pragma amicall(SysBase, 0x10e, Enqueue(a0,a1))
#pragma amicall(SysBase, 0x114, FindName(a0,a1))
#pragma amicall(SysBase, 0x11a, AddTask(a1,a2,a3))
#pragma amicall(SysBase, 0x120, RemTask(a1))
#pragma amicall(SysBase, 0x126, FindTask(a1))
#pragma amicall(SysBase, 0x12c, SetTaskPri(a1,d0))
#pragma amicall(SysBase, 0x132, SetSignal(d0,d1))
#pragma amicall(SysBase, 0x138, SetExcept(d0,d1))
#pragma amicall(SysBase, 0x13e, Wait(d0))
#pragma amicall(SysBase, 0x144, Signal(a1,d0))
#pragma amicall(SysBase, 0x14a, AllocSignal(d0))
#pragma amicall(SysBase, 0x150, FreeSignal(d0))
#pragma amicall(SysBase, 0x156, AllocTrap(d0))
#pragma amicall(SysBase, 0x15c, FreeTrap(d0))
#pragma amicall(SysBase, 0x162, AddPort(a1))
#pragma amicall(SysBase, 0x168, RemPort(a1))
#pragma amicall(SysBase, 0x16e, PutMsg(a0,a1))
#pragma amicall(SysBase, 0x174, GetMsg(a0))
#pragma amicall(SysBase, 0x17a, ReplyMsg(a1))
#pragma amicall(SysBase, 0x180, WaitPort(a0))
#pragma amicall(SysBase, 0x186, FindPort(a1))
#pragma amicall(SysBase, 0x18c, AddLibrary(a1))
#pragma amicall(SysBase, 0x192, RemLibrary(a1))
#pragma amicall(SysBase, 0x198, OldOpenLibrary(a1))
#pragma amicall(SysBase, 0x19e, CloseLibrary(a1))
#pragma amicall(SysBase, 0x1a4, SetFunction(a1,a0,d0))
#pragma amicall(SysBase, 0x1aa, SumLibrary(a1))
#pragma amicall(SysBase, 0x1b0, AddDevice(a1))
#pragma amicall(SysBase, 0x1b6, RemDevice(a1))
#pragma amicall(SysBase, 0x1bc, OpenDevice(a0,d0,a1,d1))
#pragma amicall(SysBase, 0x1c2, CloseDevice(a1))
#pragma amicall(SysBase, 0x1c8, DoIO(a1))
#pragma amicall(SysBase, 0x1ce, SendIO(a1))
#pragma amicall(SysBase, 0x1d4, CheckIO(a1))
#pragma amicall(SysBase, 0x1da, WaitIO(a1))
#pragma amicall(SysBase, 0x1e0, AbortIO(a1))
#pragma amicall(SysBase, 0x1e6, AddResource(a1))
#pragma amicall(SysBase, 0x1ec, RemResource(a1))
#pragma amicall(SysBase, 0x1f2, OpenResource(a1))	/* jd 9/3/91 1 arg, not 2 */
#pragma amicall(SysBase, 0x20a, RawDoFmt(a0,a1,a2,a3)) /* jd 3/12/91 */
#pragma amicall(SysBase, 0x210, GetCC())
#pragma amicall(SysBase, 0x216, TypeOfMem(a1))
#pragma amicall(SysBase, 0x21c, Procure(a0,a1))
#pragma amicall(SysBase, 0x222, Vacate(a0))
#pragma amicall(SysBase, 0x228, OpenLibrary(a1,d0))
#pragma amicall(SysBase, 0x22e, InitSemaphore(a0))
#pragma amicall(SysBase, 0x234, ObtainSemaphore(a0))
#pragma amicall(SysBase, 0x23a, ReleaseSemaphore(a0))
#pragma amicall(SysBase, 0x240, AttemptSemaphore(a0))
#pragma amicall(SysBase, 0x246, ObtainSemaphoreList(a0))
#pragma amicall(SysBase, 0x24c, ReleaseSemaphoreList(a0))
#pragma amicall(SysBase, 0x252, FindSemaphore(a1))
#pragma amicall(SysBase, 0x258, AddSemaphore(a1))
#pragma amicall(SysBase, 0x25e, RemSemaphore(a1))
#pragma amicall(SysBase, 0x264, SumKickData())
#pragma amicall(SysBase, 0x26a, AddMemList(d0,d1,d2,a0,a1))
#pragma amicall(SysBase, 0x270, CopyMem(a0,a1,d0))
#pragma amicall(SysBase, 0x276, CopyMemQuick(a0,a1,d0))

/************** Expansion *******************/

#pragma amicall(ExpansionBase, 0x1e, AddConfigDev(a0))
#pragma amicall(ExpansionBase, 0x2a, AllocBoardMem(d0))
#pragma amicall(ExpansionBase, 0x30, AllocConfigDev())
#pragma amicall(ExpansionBase, 0x36, AllocExpansionMem(d0,d1,d2))
#pragma amicall(ExpansionBase, 0x3c, ConfigBoard(a0,a1))
#pragma amicall(ExpansionBase, 0x42, ConfigChain(a0))
#pragma amicall(ExpansionBase, 0x48, FindConfigDev(a0,d0,d1))
#pragma amicall(ExpansionBase, 0x4e, FreeBoardMem(d0,d1))
#pragma amicall(ExpansionBase, 0x54, FreeConfigDev(a0))
#pragma amicall(ExpansionBase, 0x5a, FreeExpansionMem(d0,d1))
#pragma amicall(ExpansionBase, 0x60, ReadExpansionByte(a0,d0))
#pragma amicall(ExpansionBase, 0x66, ReadExpansionRom(a0,a1))
#pragma amicall(ExpansionBase, 0x6c, RemConfigDev(a0))
#pragma amicall(ExpansionBase, 0x72, WriteExpansionByte(a0,d0,d1))
#pragma amicall(ExpansionBase, 0x78, ObtainConfigBinding())
#pragma amicall(ExpansionBase, 0x7e, ReleaseConfigBinding())
#pragma amicall(ExpansionBase, 0x84, SetCurrentBinding(a0,d0))
#pragma amicall(ExpansionBase, 0x8a, GetCurrentBinding(a0,d0))
#pragma amicall(ExpansionBase, 0x90, MakeDosNode(a0))
#pragma amicall(ExpansionBase, 0x96, AddDosNode(d0,d1,a0))

/************** Graphics ********************/

#pragma amicall(GfxBase, 0x1e, BltBitMap(a0,d0,d1,a1,d2,d3,d4,d5,d6,d7,a2))
#pragma amicall(GfxBase, 0x24, BltTemplate(a0,d0,d1,a1,d2,d3,d4,d5))
#pragma amicall(GfxBase, 0x2a, ClearEOL(a1))
#pragma amicall(GfxBase, 0x30, ClearScreen(a1))
#pragma amicall(GfxBase, 0x36, TextLength(a1,a0,d0))
#pragma amicall(GfxBase, 0x3c, Text(a1,a0,d0))
#pragma amicall(GfxBase, 0x42, SetFont(a1,a0))
#pragma amicall(GfxBase, 0x48, OpenFont(a0))
#pragma amicall(GfxBase, 0x4e, CloseFont(a1))
#pragma amicall(GfxBase, 0x54, AskSoftStyle(a1))
#pragma amicall(GfxBase, 0x5a, SetSoftStyle(a1,d0,d1))
#pragma amicall(GfxBase, 0x60, AddBob(a0,a1))
#pragma amicall(GfxBase, 0x66, AddVSprite(a0,a1))
#pragma amicall(GfxBase, 0x6c, DoCollision(a1))
#pragma amicall(GfxBase, 0x72, DrawGList(a1,a0))
#pragma amicall(GfxBase, 0x78, InitGels(a0,a1,a2))
#pragma amicall(GfxBase, 0x7e, InitMasks(a0))
#pragma amicall(GfxBase, 0x84, RemIBob(a0,a1,a2))
#pragma amicall(GfxBase, 0x8a, RemVSprite(a0))
#pragma amicall(GfxBase, 0x90, SetCollision(d0,a0,a1))
#pragma amicall(GfxBase, 0x96, SortGList(a1))
#pragma amicall(GfxBase, 0x9c, AddAnimOb(a0,a1,a2))
#pragma amicall(GfxBase, 0xa2, Animate(a0,a1))
#pragma amicall(GfxBase, 0xa8, GetGBuffers(a0,a1,d0))
#pragma amicall(GfxBase, 0xae, InitGMasks(a0))
#pragma amicall(GfxBase, 0xb4, DrawEllipse(a1,d0,d1,d2,d3))
#pragma amicall(GfxBase, 0xba, AreaEllipse(a1,d0,d1,d2,d3))
#pragma amicall(GfxBase, 0xc0, LoadRGB4(a0,a1,d0))
#pragma amicall(GfxBase, 0xc6, InitRastPort(a1))
#pragma amicall(GfxBase, 0xcc, InitVPort(a0))
#pragma amicall(GfxBase, 0xd2, MrgCop(a1))
#pragma amicall(GfxBase, 0xd8, MakeVPort(a0,a1))
#pragma amicall(GfxBase, 0xde, LoadView(a1))
#pragma amicall(GfxBase, 0xe4, WaitBlit())
#pragma amicall(GfxBase, 0xea, SetRast(a1,d0))
#pragma amicall(GfxBase, 0xf0, Move(a1,d0,d1))
#pragma amicall(GfxBase, 0xf6, Draw(a1,d0,d1))
#pragma amicall(GfxBase, 0xfc, AreaMove(a1,d0,d1))
#pragma amicall(GfxBase, 0x102, AreaDraw(a1,d0,d1))
#pragma amicall(GfxBase, 0x108, AreaEnd(a1))
#pragma amicall(GfxBase, 0x10e, WaitTOF())
#pragma amicall(GfxBase, 0x114, QBlit(a1))
#pragma amicall(GfxBase, 0x11a, InitArea(a0,a1,d0))
#pragma amicall(GfxBase, 0x120, SetRGB4(a0,d0,d1,d2,d3))
#pragma amicall(GfxBase, 0x126, QBSBlit(a1))
#pragma amicall(GfxBase, 0x12c, BltClear(a1,d0,d1))
#pragma amicall(GfxBase, 0x132, RectFill(a1,d0,d1,d2,d3))
#pragma amicall(GfxBase, 0x138, BltPattern(a1,a0,d0,d1,d2,d3,d4))
#pragma amicall(GfxBase, 0x13e, ReadPixel(a1,d0,d1))
#pragma amicall(GfxBase, 0x144, WritePixel(a1,d0,d1))
#pragma amicall(GfxBase, 0x14a, Flood(a1,d2,d0,d1))
#pragma amicall(GfxBase, 0x150, PolyDraw(a1,d0,a0))
#pragma amicall(GfxBase, 0x156, SetAPen(a1,d0))
#pragma amicall(GfxBase, 0x15c, SetBPen(a1,d0))
#pragma amicall(GfxBase, 0x162, SetDrMd(a1,d0))
#pragma amicall(GfxBase, 0x168, InitView(a1))
#pragma amicall(GfxBase, 0x16e, CBump(a1))
#pragma amicall(GfxBase, 0x174, CMove(a1,d0,d1))
#pragma amicall(GfxBase, 0x17a, CWait(a1,d0,d1))
#pragma amicall(GfxBase, 0x180, VBeamPos())
#pragma amicall(GfxBase, 0x186, InitBitMap(a0,d0,d1,d2))
#pragma amicall(GfxBase, 0x18c, ScrollRaster(a1,d0,d1,d2,d3,d4,d5))
#pragma amicall(GfxBase, 0x192, WaitBOVP(a0))
#pragma amicall(GfxBase, 0x198, GetSprite(a0,d0))
#pragma amicall(GfxBase, 0x19e, FreeSprite(d0))
#pragma amicall(GfxBase, 0x1a4, ChangeSprite(a0,a1,a2))
#pragma amicall(GfxBase, 0x1aa, MoveSprite(a0,a1,d0,d1))
#pragma amicall(GfxBase, 0x1bc, SyncSBitMap(a0))
#pragma amicall(GfxBase, 0x1c2, CopySBitMap(a0))
#pragma amicall(GfxBase, 0x1c8, OwnBlitter())
#pragma amicall(GfxBase, 0x1ce, DisownBlitter())
#pragma amicall(GfxBase, 0x1d4, InitTmpRas(a0,a1,d0))
#pragma amicall(GfxBase, 0x1da, AskFont(a1,a0))
#pragma amicall(GfxBase, 0x1e0, AddFont(a1))
#pragma amicall(GfxBase, 0x1e6, RemFont(a1))
#pragma amicall(GfxBase, 0x1ec, AllocRaster(d0,d1))
#pragma amicall(GfxBase, 0x1f2, FreeRaster(a0,d0,d1))
#pragma amicall(GfxBase, 0x1f8, AndRectRegion(a0,a1))
#pragma amicall(GfxBase, 0x1fe, OrRectRegion(a0,a1))
#pragma amicall(GfxBase, 0x204, NewRegion())
#pragma amicall(GfxBase, 0x20a, ClearRectRegion(a0,a1))
#pragma amicall(GfxBase, 0x210, ClearRegion(a0))
#pragma amicall(GfxBase, 0x216, DisposeRegion(a0))
#pragma amicall(GfxBase, 0x21c, FreeVPortCopLists(a0))
#pragma amicall(GfxBase, 0x222, FreeCopList(a0))
#pragma amicall(GfxBase, 0x228, ClipBlit(a0,d0,d1,a1,d2,d3,d4,d5,d6))
#pragma amicall(GfxBase, 0x22e, XorRectRegion(a0,a1))
#pragma amicall(GfxBase, 0x234, FreeCprList(a0))
#pragma amicall(GfxBase, 0x23a, GetColorMap(d0))
#pragma amicall(GfxBase, 0x240, FreeColorMap(a0))
#pragma amicall(GfxBase, 0x246, GetRGB4(a0,d0))
#pragma amicall(GfxBase, 0x24c, ScrollVPort(a0))
#pragma amicall(GfxBase, 0x252, UCopperListInit(a0,d0))
#pragma amicall(GfxBase, 0x258, FreeGBuffers(a0,a1,d0))
#pragma amicall(GfxBase, 0x25e, BltBitMapRastPort(a0,d0,d1,a1,d2,d3,d4,d5,d6))
#pragma amicall(GfxBase, 0x264, OrRegionRegion(a0,a1))
#pragma amicall(GfxBase, 0x26a, XorRegionRegion(a0,a1))
#pragma amicall(GfxBase, 0x270, AndRegionRegion(a0,a1))
#pragma amicall(GfxBase, 0x276, SetRGB4CM(a0,d0,d1,d2,d3))
#pragma amicall(GfxBase, 0x27c, BltMaskBitMapRastPort(a0,d0,d1,a1,d2,d3,d4,d5,d6,a2))
#if 0 /* jd 4/5/91 SCR 9: can't use a5 for reg arg, must use glue routine */
#pragma amicall(GfxBase, 0x1b0, LockLayerRom(a5))
#pragma amicall(GfxBase, 0x1b6, UnlockLayerRom(a5))
#pragma amicall(GfxBase, 0x28e, AttemptLockLayerRom(a5))
#endif

/************** Icon ************************/

#pragma amicall(IconBase, 0x1e, GetWBObject(a0))
#pragma amicall(IconBase, 0x24, PutWBObject(a0,a1))
#pragma amicall(IconBase, 0x2a, GetIcon(a0,a1,a2))
#pragma amicall(IconBase, 0x30, PutIcon(a0,a1))
#pragma amicall(IconBase, 0x36, FreeFreeList(a0))
#pragma amicall(IconBase, 0x3c, FreeWBObject(a0))
#pragma amicall(IconBase, 0x42, AllocWBObject())
#pragma amicall(IconBase, 0x48, AddFreeList(a0,a1,a2))
#pragma amicall(IconBase, 0x4e, GetDiskObject(a0))
#pragma amicall(IconBase, 0x54, PutDiskObject(a0,a1))
#pragma amicall(IconBase, 0x5a, FreeDiskObject(a0))
#pragma amicall(IconBase, 0x60, FindToolType(a0,a1))
#pragma amicall(IconBase, 0x66, MatchToolValue(a0,a1))
#pragma amicall(IconBase, 0x6c, BumpRevision(a0,a1))

/************** Intuition *******************/

#pragma amicall(IntuitionBase, 0x1e, OpenIntuition())
#pragma amicall(IntuitionBase, 0x24, Intuition(a0))
#pragma amicall(IntuitionBase, 0x2a, AddGadget(a0,a1,d0))
#pragma amicall(IntuitionBase, 0x30, ClearDMRequest(a0))
#pragma amicall(IntuitionBase, 0x36, ClearMenuStrip(a0))
#pragma amicall(IntuitionBase, 0x3c, ClearPointer(a0))
#pragma amicall(IntuitionBase, 0x42, CloseScreen(a0))
#pragma amicall(IntuitionBase, 0x48, CloseWindow(a0))
#pragma amicall(IntuitionBase, 0x4e, CloseWorkBench())
#pragma amicall(IntuitionBase, 0x54, CurrentTime(a0,a1))
#pragma amicall(IntuitionBase, 0x5a, DisplayAlert(d0,a0,d1))
#pragma amicall(IntuitionBase, 0x60, DisplayBeep(a0))
#pragma amicall(IntuitionBase, 0x66, DoubleClick(d0,d1,d2,d3))
#pragma amicall(IntuitionBase, 0x6c, DrawBorder(a0,a1,d0,d1))
#pragma amicall(IntuitionBase, 0x72, DrawImage(a0,a1,d0,d1))
#pragma amicall(IntuitionBase, 0x78, EndRequest(a0,a1))
#pragma amicall(IntuitionBase, 0x7e, GetDefPrefs(a0,d0))
#pragma amicall(IntuitionBase, 0x84, GetPrefs(a0,d0))
#pragma amicall(IntuitionBase, 0x8a, InitRequester(a0))
#pragma amicall(IntuitionBase, 0x90, ItemAddress(a0,d0))
#pragma amicall(IntuitionBase, 0x96, ModifyIDCMP(a0,d0))
#pragma amicall(IntuitionBase, 0x9c, ModifyProp(a0,a1,a2,d0,d1,d2,d3,d4))
#pragma amicall(IntuitionBase, 0xa2, MoveScreen(a0,d0,d1))
#pragma amicall(IntuitionBase, 0xa8, MoveWindow(a0,d0,d1))
#pragma amicall(IntuitionBase, 0xae, OffGadget(a0,a1,a2))
#pragma amicall(IntuitionBase, 0xb4, OffMenu(a0,d0))
#pragma amicall(IntuitionBase, 0xba, OnGadget(a0,a1,a2))
#pragma amicall(IntuitionBase, 0xc0, OnMenu(a0,d0))
#pragma amicall(IntuitionBase, 0xc6, OpenScreen(a0))
#pragma amicall(IntuitionBase, 0xcc, OpenWindow(a0))
#pragma amicall(IntuitionBase, 0xd2, OpenWorkBench())
#pragma amicall(IntuitionBase, 0xd8, PrintIText(a0,a1,d0,d1))
#pragma amicall(IntuitionBase, 0xde, RefreshGadgets(a0,a1,a2))
#pragma amicall(IntuitionBase, 0xe4, RemoveGadget(a0,a1))
#pragma amicall(IntuitionBase, 0xea, ReportMouse(d0,a0))
#pragma amicall(IntuitionBase, 0xf0, Request(a0,a1))
#pragma amicall(IntuitionBase, 0xf6, ScreenToBack(a0))
#pragma amicall(IntuitionBase, 0xfc, ScreenToFront(a0))
#pragma amicall(IntuitionBase, 0x102, SetDMRequest(a0,a1))
#pragma amicall(IntuitionBase, 0x108, SetMenuStrip(a0,a1))
#pragma amicall(IntuitionBase, 0x10e, SetPointer(a0,a1,d0,d1,d2,d3))
#pragma amicall(IntuitionBase, 0x114, SetWindowTitles(a0,a1,a2))
#pragma amicall(IntuitionBase, 0x11a, ShowTitle(a0,d0))
#pragma amicall(IntuitionBase, 0x120, SizeWindow(a0,d0,d1))
#pragma amicall(IntuitionBase, 0x126, ViewAddress())
#pragma amicall(IntuitionBase, 0x12c, ViewPortAddress(a0))
#pragma amicall(IntuitionBase, 0x132, WindowToBack(a0))
#pragma amicall(IntuitionBase, 0x138, WindowToFront(a0))
#pragma amicall(IntuitionBase, 0x13e, WindowLimits(a0,d0,d1,d2,d3))
#pragma amicall(IntuitionBase, 0x144, SetPrefs(a0,d0,d1))
#pragma amicall(IntuitionBase, 0x14a, IntuiTextLength(a0))
#pragma amicall(IntuitionBase, 0x150, WBenchToBack())
#pragma amicall(IntuitionBase, 0x156, WBenchToFront())
#pragma amicall(IntuitionBase, 0x15c, AutoRequest(a0,a1,a2,a3,d0,d1,d2,d3))
#pragma amicall(IntuitionBase, 0x162, BeginRefresh(a0))
#pragma amicall(IntuitionBase, 0x168, BuildSysRequest(a0,a1,a2,a3,d0,d1,d2))
#pragma amicall(IntuitionBase, 0x16e, EndRefresh(a0,d0))
#pragma amicall(IntuitionBase, 0x174, FreeSysRequest(a0))
#pragma amicall(IntuitionBase, 0x17a, MakeScreen(a0))
#pragma amicall(IntuitionBase, 0x180, RemakeDisplay())
#pragma amicall(IntuitionBase, 0x186, RethinkDisplay())
#pragma amicall(IntuitionBase, 0x18c, AllocRemember(a0,d0,d1))
#pragma amicall(IntuitionBase, 0x192, AlohaWorkbench(a0))
#pragma amicall(IntuitionBase, 0x198, FreeRemember(a0,d0))
#pragma amicall(IntuitionBase, 0x19e, LockIBase(d0))
#pragma amicall(IntuitionBase, 0x1a4, UnlockIBase(a0))
#pragma amicall(IntuitionBase, 0x1aa, GetScreenData(a0,d0,d1,a1))
#pragma amicall(IntuitionBase, 0x1b0, RefreshGList(a0,a1,a2,d0))
#pragma amicall(IntuitionBase, 0x1b6, AddGList(a0,a1,d0,d1,a2))
#pragma amicall(IntuitionBase, 0x1bc, RemoveGList(a0,a1,d0))
#pragma amicall(IntuitionBase, 0x1c2, ActivateWindow(a0))
#pragma amicall(IntuitionBase, 0x1c8, RefreshWindowFrame(a0))
#pragma amicall(IntuitionBase, 0x1ce, ActivateGadget(a0,a1,a2))
#pragma amicall(IntuitionBase, 0x1d4, NewModifyProp(a0,a1,a2,d0,d1,d2,d3,d4,d5))

/************** Layers **********************/

#pragma amicall(LayersBase, 0x1e, InitLayers(a0))
#pragma amicall(LayersBase, 0x24, CreateUpfrontLayer(a0,a1,d0,d1,d2,d3,d4,a2))
#pragma amicall(LayersBase, 0x2a, CreateBehindLayer(a0,a1,d0,d1,d2,d3,d4,a2))
#pragma amicall(LayersBase, 0x30, UpfrontLayer(a0,a1))
#pragma amicall(LayersBase, 0x36, BehindLayer(a0,a1))
#pragma amicall(LayersBase, 0x3c, MoveLayer(a0,a1,d0,d1))
#pragma amicall(LayersBase, 0x42, SizeLayer(a0,a1,d0,d1))
#pragma amicall(LayersBase, 0x48, ScrollLayer(a0,a1,d0,d1))
#pragma amicall(LayersBase, 0x4e, BeginUpdate(a0))
#pragma amicall(LayersBase, 0x54, EndUpdate(a0,d0))
#pragma amicall(LayersBase, 0x5a, DeleteLayer(a0,a1))
#pragma amicall(LayersBase, 0x60, LockLayer(a0,a1))
#pragma amicall(LayersBase, 0x66, UnlockLayer(a0))
#pragma amicall(LayersBase, 0x6c, LockLayers(a0))
#pragma amicall(LayersBase, 0x72, UnlockLayers(a0))
#pragma amicall(LayersBase, 0x78, LockLayerInfo(a0))
#pragma amicall(LayersBase, 0x7e, SwapBitsRastPortClipRect(a0,a1))
#pragma amicall(LayersBase, 0x84, WhichLayer(a0,d0,d1))
#pragma amicall(LayersBase, 0x8a, UnlockLayerInfo(a0))
#pragma amicall(LayersBase, 0x90, NewLayerInfo())
#pragma amicall(LayersBase, 0x96, DisposeLayerInfo(a0))
#pragma amicall(LayersBase, 0x9c, FattenLayerInfo(a0))
#pragma amicall(LayersBase, 0xa2, ThinLayerInfo(a0))
#pragma amicall(LayersBase, 0xa8, MoveLayerInFrontOf(a0,a1))
#pragma amicall(LayersBase, 0xae, InstallClipRegion(a0,a1))

/************** Potgo ***********************/

#pragma amicall(PotgoBase, 0x6, AllocPotBits(d0))
#pragma amicall(PotgoBase, 0xc, FreePotBits(d0))
#pragma amicall(PotgoBase, 0x12, WritePotgo(d0,d1))

/************** RomBoot *********************/

#if 0
#pragma amicall(RomBootBase, 0x1e, RomBoot())
#endif

/************** Timer ***********************/

#pragma amicall(TimerBase, 0x2a, AddTime(a0,a1))
#pragma amicall(TimerBase, 0x30, SubTime(a0,a1))
#pragma amicall(TimerBase, 0x36, CmpTime(a0,a1))

/************** Translator ******************/

#pragma amicall(TranslatorBase, 0x1e, Translate(a0,d0,a1,d1))

#endif

